<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>sagace package &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="sagace.auth package" href="sagace.auth.html" />
    <link rel="prev" title="sagace" href="modules.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="sagace-package">
<h1>sagace package<a class="headerlink" href="#sagace-package" title="Link to this heading">¶</a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Link to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="sagace.auth.html">sagace.auth package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.application.html">sagace.auth.application package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.application.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.application.html#module-sagace.auth.application.authentication_use_case">sagace.auth.application.authentication_use_case module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.application.html#module-sagace.auth.application">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.domain.html">sagace.auth.domain package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.domain.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.domain.html#module-sagace.auth.domain.authentication_repository">sagace.auth.domain.authentication_repository module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.domain.html#module-sagace.auth.domain">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.infrastructure.html">sagace.auth.infrastructure package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.infrastructure.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure.authentication_api">sagace.auth.infrastructure.authentication_api module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.interfaces.html">sagace.auth.interfaces package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.interfaces.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.interfaces.html#module-sagace.auth.interfaces.authentication_service">sagace.auth.interfaces.authentication_service module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.interfaces.html#module-sagace.auth.interfaces">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.html#module-sagace.auth">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.core.html">sagace.core package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.storage.html">sagace.core.storage package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#module-sagace.core.storage.file_storage">sagace.core.storage.file_storage module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#module-sagace.core.storage.memory_storage">sagace.core.storage.memory_storage module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#module-sagace.core.storage.redis_storage">sagace.core.storage.redis_storage module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.storage.html#module-sagace.core.storage">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.html#module-sagace.core.api_client">sagace.core.api_client module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#descricao">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#sagace.core.api_client.APIClient"><code class="docutils literal notranslate"><span class="pre">APIClient</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.api_client.APIClient._abc_impl"><code class="docutils literal notranslate"><span class="pre">APIClient._abc_impl</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.api_client.APIClient.request"><code class="docutils literal notranslate"><span class="pre">APIClient.request()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.html#module-sagace.core.http_api_client">sagace.core.http_api_client module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#id1">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient"><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient._abc_impl"><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient._abc_impl</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient._get_headers"><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient._get_headers()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.delete"><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient.delete()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.get"><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient.get()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.post"><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient.post()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.put"><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient.put()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.http_api_client.HTTPAPIClient.request"><code class="docutils literal notranslate"><span class="pre">HTTPAPIClient.request()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.html#module-sagace.core.token">sagace.core.token module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#id2">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#sagace.core.token.Token"><code class="docutils literal notranslate"><span class="pre">Token</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token.Token.access_token"><code class="docutils literal notranslate"><span class="pre">Token.access_token</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token.Token.application_name"><code class="docutils literal notranslate"><span class="pre">Token.application_name</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token.Token.base_url"><code class="docutils literal notranslate"><span class="pre">Token.base_url</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token.Token.description"><code class="docutils literal notranslate"><span class="pre">Token.description</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token.Token.get_auth_header"><code class="docutils literal notranslate"><span class="pre">Token.get_auth_header()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token.Token.token_type"><code class="docutils literal notranslate"><span class="pre">Token.token_type</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.html#module-sagace.core.token_storage">sagace.core.token_storage module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#id3">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#sagace.core.token_storage.TokenStorage"><code class="docutils literal notranslate"><span class="pre">TokenStorage</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token_storage.TokenStorage._abc_impl"><code class="docutils literal notranslate"><span class="pre">TokenStorage._abc_impl</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token_storage.TokenStorage.get_token"><code class="docutils literal notranslate"><span class="pre">TokenStorage.get_token()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.core.html#sagace.core.token_storage.TokenStorage.save_token"><code class="docutils literal notranslate"><span class="pre">TokenStorage.save_token()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.core.html#module-sagace.core">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.core.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.exceptions.html">sagace.exceptions package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.application.html">sagace.exceptions.application package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.application.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.application.html#module-sagace.exceptions.application.application_error">sagace.exceptions.application.application_error module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.application.html#module-sagace.exceptions.application">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html">sagace.exceptions.domain package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.domain.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.api_request_error">sagace.exceptions.domain.api_request_error module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.domain_error">sagace.exceptions.domain.domain_error module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.permission_denied_error">sagace.exceptions.domain.permission_denied_error module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.token_expired_error">sagace.exceptions.domain.token_expired_error module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.infrastructure.html">sagace.exceptions.infrastructure package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.infrastructure.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.authentication_error">sagace.exceptions.infrastructure.authentication_error module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.infrastructure_error">sagace.exceptions.infrastructure.infrastructure_error module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure">Module contents</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.interfaces.html">sagace.exceptions.interfaces package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.interfaces.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces.interface_error">sagace.exceptions.interfaces.interface_error module</a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.html#module-sagace.exceptions">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.samples.html">sagace.samples package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.samples.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.samples.html#module-sagace.samples.basic_autentication">sagace.samples.basic_autentication module</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.samples.html#module-sagace.samples">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.samples.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>
<section id="module-sagace">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-sagace" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="description">
<h3>Description:<a class="headerlink" href="#description" title="Link to this heading">¶</a></h3>
<p>Obs.:</p>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 15:28
Created:          27/02/2025 15:28
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">sagace</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">sagace package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">sagace</a><ul>
      <li>Previous: <a href="modules.html" title="previous chapter">sagace</a></li>
      <li>Next: <a href="sagace.auth.html" title="next chapter">sagace.auth package</a></li>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
      |
      <a href="_sources/sagace.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>